Page MenuHomePhabricator

Community Liaison quarterly goals for January - March 2016
Closed, ResolvedPublic

Description

Internally, a couple of teams are talking about posting these for first draft by 10 Dec. Thinking that might be a good time for us too.

https://www.mediawiki.org/wiki/Community_Engagement_%28Product%29/Q316Goals

Event Timeline

Rdicerb updated the task description. (Show Details)
Rdicerb raised the priority of this task from to Needs Triage.
Rdicerb claimed this task.
Rdicerb moved this task to Dec on the Community-Relations-Support board.
Rdicerb added a subscriber: Rdicerb.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 16 2015, 3:32 AM

Thinking about personal goals, too? (perhaps too granular for MW)

Qgil added a subscriber: Qgil.Nov 25 2015, 10:24 AM

Individual goals have been very useful for Developer Relations. See T109829: Developer Relations quarterly goals for October-December 2015 and previous quarters. Even if they might sound as "more obligations", in fact they define less, well focused obligations.

Defining your individual goals and agreeing them with your team is also a way to define and agree what will not be a goal for you during the quarter. This might not sound too different in quiet times, when you have more flexibility to pick tasks and may take new tasks brought suddenly by others. However, the difference is big when you are busy, and you have no other option than prioritizing tasks and saying "Not this quarter, sorry". Or "Yes, but only if I agree with my team that this other current goal can be pushed to the next quarter."

For people dedicating a lot of time to regular workflows (like i.e. @Aklapper and many community liaisons), individual goals are also a way to commit yourself for non-regular tasks that you want to complete, and that otherwise end up slipping month after month because you are caught by "regular work".

Quiddity renamed this task from Create Q3 Goals for CL to Community Liaison quarterly goals for January - March 2016.Dec 1 2015, 8:24 PM
Quiddity set Security to None.

https://www.mediawiki.org/wiki/Community_Engagement_%28Product%29/Q316Goals

Moving towards finalization but generally seem to be supported at this point.

Rdicerb closed this task as Resolved.Dec 15 2015, 12:03 AM
Aklapper updated the task description. (Show Details)Dec 15 2015, 12:35 PM
Qgil added a comment.EditedDec 16 2015, 3:23 PM

Can you link each goal to its corresponding task in Phabricator, please?

Also, any comments on my reply about individual goals? Developer Relations will list the individual goals right underneath the team goals, and I recommend you to do the same in your team goals page. This way whoever is interested in the team goals can find the other CL goals right there.